# Class SpectrogramPlotter.SpectroStyle

java.lang.Object
uk.ac.starlink.ttools.plot2.layer.SpectrogramPlotter.SpectroStyle

All Implemented Interfaces:
  `Style`

Enclosing class:
  `SpectrogramPlotter`

public static class SpectrogramPlotter.SpectroStyle extends Object implements Style
Style subclass for SpectrogramPlotter.

Since:
  16 Jul 2013
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`SpectroStyle(Shader shader, Scaling scaling, Subrange dataclip, Color nullColor, boolean scaleSpectra)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`Icon`
`getLegendIcon()`
Returns an icon suitable for displaying in a legend for this style.
`boolean`
`getScaleSpectra()`
Indicates whether an attempt will be made to plot spectra on a scaled axis.
`int`
`hashCode()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SpectroStyle

public SpectroStyle(Shader shader, Scaling scaling, Subrange dataclip, Color nullColor, boolean scaleSpectra)
Constructor.

Parameters:
  `shader` - shader
  `scaling` - maps data values to shader ramp
  `dataclip` - scaling range adjustment
  `nullColor` - colour to use for blank spectral values
  `scaleSpectra` - whether attempt is made to plot spectra on scaled axis

## Method Details

### getScaleSpectra

public boolean getScaleSpectra()
Indicates whether an attempt will be made to plot spectra on a scaled axis.

### getLegendIcon

public Icon getLegendIcon()
Description copied from interface: `Style`
Returns an icon suitable for displaying in a legend for this style.

Specified by:
  `getLegendIcon` in interface `Style`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`